<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="评审信息_评审项目签名">
	<query id="SlmOrderReviewItemSignService.doQuery" desc="查询 ">
		<![CDATA[
			SELECT
				   T.ID,
				   T.REVIEW_ITM,
				   T.LIST_TYP,
				   T.REVIEW_TIMES,
				   T.REVIEW_MAN,
				   T.REVIEW_DEPT,
				   T.CERT_PATH,
				   T.CERT_PATH_OLD,
				   T.VALIDFLAG,
				   T.CREATE_NAME,
				   TO_CHAR(T.CREATE_TIME, 'YYYY-MM-DD HH24:MI:SS') CREATE_TIME,
				   T.UPDATE_NAME,
				   TO_CHAR(T.UPDATE_TIME, 'YYYY-MM-DD HH24:MI:SS') UPDATE_TIME,
				   T.DELETE_NAME,
				   TO_CHAR(T.DELETE_TIME, 'YYYY-MM-DD HH24:MI:SS') DELETE_TIME
			 FROM SLM_ORDER_REVIEW_ITEM_SIGN T
			 WHERE
				1 = 1
		]]>
	</query>
	<query id="SlmOrderReviewItemSignService.doInsert" desc="添加 ">
		<![CDATA[
			 INSERT INTO SLM_ORDER_REVIEW_ITEM_SIGN(
					REVIEW_ITM,
					LIST_TYP,
					REVIEW_TIMES,
					REVIEW_MAN,
					REVIEW_DEPT,
					CERT_PATH,
					CERT_PATH_OLD,
					VALIDFLAG,
					CREATE_NAME,
					CREATE_TIME)
			 VALUES(
					'#REVIEW_ITM#',
					'#LIST_TYP#',
					'#REVIEW_TIMES#',
					'#REVIEW_MAN#',
					'#REVIEW_DEPT#',
					'#CERT_PATH#',
					'#CERT_PATH_OLD#',
					'#VALIDFLAG#',
					'#CREATE_NAME#',
					SYSDATE)
		]]>
	</query>
	<query id="SlmOrderReviewItemSignService.doUpdate" desc="修改 ">
		<![CDATA[
			 UPDATE SLM_ORDER_REVIEW_ITEM_SIGN T
			   SET
					T.REVIEW_ITM = '#REVIEW_ITM#',
					T.LIST_TYP = '#LIST_TYP#',
					T.REVIEW_TIMES = '#REVIEW_TIMES#',
					T.REVIEW_MAN = '#REVIEW_MAN#',
					T.REVIEW_DEPT = '#REVIEW_DEPT#',
					T.CERT_PATH = '#CERT_PATH#',
					T.CERT_PATH_OLD = '#CERT_PATH_OLD#',
					T.VALIDFLAG = '#VALIDFLAG#',
					T.UPDATE_NAME = '#UPDATE_NAME#',
					T.UPDATE_TIME = TO_DATE('#UPDATE_TIME#','YYYY-MM-DD HH24:MI:SS'),
					T.DELETE_NAME = '#DELETE_NAME#',
					T.DELETE_TIME = TO_DATE('#DELETE_TIME#','YYYY-MM-DD HH24:MI:SS')
			 WHERE
				T.ID = '#ID#'
		]]>
	</query>
	<query id="SlmOrderReviewItemSignService.doDelete" desc="删除 ">
		<![CDATA[
			 DELETE
			 	FROM SLM_ORDER_REVIEW_ITEM_SIGN T
			 WHERE
				T.ID = ?
		]]>
	</query>
</queryMap>